/**
 * This file is part of the NocoBase (R) project.
 * Copyright (c) 2020-2024 NocoBase Co., Ltd.
 * Authors: NocoBase Team.
 *
 * This project is dual-licensed under AGPL-3.0 and NocoBase Commercial License.
 * For more information, please refer to: https://www.nocobase.com/agreement.
 */
import React from 'react';
import { AssociationFieldModel } from './AssociationFieldModel';
declare class FormAssociationFieldModel extends AssociationFieldModel {
    onInit(options: any): void;
}
export declare const ObjectNester: (props: any) => React.JSX.Element;
export declare class SubFormFieldModel extends FormAssociationFieldModel {
    updateAssociation: boolean;
    onInit(options: any): void;
    onMount(): void;
    render(): React.JSX.Element;
}
export declare class SubFormListFieldModel extends FormAssociationFieldModel {
    selectedRows: {
        value: any[];
    };
    updateAssociation: boolean;
    onInit(options: any): void;
    set onSelectExitRecordClick(fn: any);
    change(): void;
    onMount(): void;
    render(): React.JSX.Element;
}
export {};
